[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: why warn for lack of AM_GNU_GETTEXT_VERSION?

From: Bruno Haible
Subject: Re: why warn for lack of AM_GNU_GETTEXT_VERSION?
Date: Mon, 29 Dec 2003 19:48:33 +0100
User-agent: KMail/1.5

> However, the autoreconf program will warn if
> AM_GNU_GETTEXT_VERSION is omitted (if AM_GNU_GETTEXT is used).
> Is it really optional or not, and if so then why warn about its
> lack?

autoreconf is documented to run 'autopoint' when appropriate, i.e.
when the package is using AM_GNU_GETTEXT. Now 'autopoint' cannot do its
job without knowing the previous gettext version used by the package
if it doesn't have a AM_GNU_GETTEXT_VERSION declaration. Thus the warning
is justified.


reply via email to

[Prev in Thread] Current Thread [Next in Thread]